Bug 2172406 - Don't depend on system-rpm-config
Summary: Don't depend on system-rpm-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgconf
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: IoT F38BetaBlocker F38BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2023-02-22 09:50 UTC by Peter Robinson
Modified: 2023-02-28 17:01 UTC (History)
4 users (show)

Fixed In Version: pkgconf-1.8.0-6.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-28 17:01:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2023-02-22 09:50:53 UTC
Commit a888a310 added a dependency on system-rpm-config although it's not exactly clear why other than "pkg-config queries the system vendor, host type, etc" but it pulls all of the *srpm-macros plus a lot of other deps in (see below) which is not wanted on systems that aren't used for building rpms.

Unfortunately pkgconf is used/needed (no idea why) by a number of standard system requirements (bash-completion for one) which means it gets pulled in for even minimal installs and hence now so do a lot of other unnecessary components.

$ dnf upgrade
Last metadata expiration check: 0:13:30 ago on Wed 22 Feb 2023 09:32:53 AM UTC.
Dependencies resolved.
==============================================================================================
 Package                          Architecture  Version                   Repository     Size
==============================================================================================
Upgrading:
 libpkgconf                       x86_64        1.8.0-5.fc38              fedora         35 k
 pkgconf                          x86_64        1.8.0-5.fc38              fedora         41 k
 pkgconf-m4                       noarch        1.8.0-5.fc38              fedora         14 k
 pkgconf-pkg-config               x86_64        1.8.0-5.fc38              fedora        9.6 k
Installing dependencies:
 ansible-srpm-macros              noarch        1-9.1.fc38                fedora        8.8 k
 dwz                              x86_64        0.15-2.fc38               fedora        135 k
 efi-srpm-macros                  noarch        5-7.fc38                  fedora         22 k
 fonts-srpm-macros                noarch        1:2.0.5-11.fc38           fedora         26 k
 fpc-srpm-macros                  noarch        1.3-7.fc38                fedora        7.8 k
 ghc-srpm-macros                  noarch        1.6.1-1.fc38              fedora        8.0 k
 gnat-srpm-macros                 noarch        6-2.fc38                  fedora        8.8 k
 go-srpm-macros                   noarch        3.2.0-2.fc38              fedora         27 k
 kernel-srpm-macros               noarch        1.0-16.fc38               fedora        9.3 k
 lua-srpm-macros                  noarch        1-8.fc38                  fedora        8.6 k
 nim-srpm-macros                  noarch        3-8.fc38                  fedora        8.5 k
 ocaml-srpm-macros                noarch        7-3.fc38                  fedora         13 k
 openblas-srpm-macros             noarch        2-13.fc38                 fedora        7.5 k
 package-notes-srpm-macros        noarch        0.5-7.fc38                fedora         11 k
 perl-srpm-macros                 noarch        1-48.fc38                 fedora        8.4 k
 pyproject-srpm-macros            noarch        1.6.2-1.fc38              fedora         14 k
 python-srpm-macros               noarch        3.11-9.fc38               fedora         26 k
 qt5-srpm-macros                  noarch        5.15.8-2.fc38             fedora        8.1 k
 redhat-rpm-config                noarch        249-1.fc38                fedora         83 k
 rpmautospec-rpm-macros           noarch        0.3.5-1.fc38              fedora        9.3 k
 rust-srpm-macros                 noarch        24-1.fc38                 fedora         12 k
 zip                              x86_64        3.0-36.fc38               fedora        265 k

Transaction Summary
==============================================================================================
Install  22 Packages
Upgrade   4 Packages

Total download size: 828 k
Is this ok [y/N]:

Comment 1 Fedora Blocker Bugs Application 2023-02-22 09:52:05 UTC
Proposed as a Blocker for 38-beta by Fedora user pbrobinson using the blocker tracking app because:

 Pulls in a lot of unnecessary deps we don't want for IoT (or other minimal images)

Comment 2 Neal Gompa 2023-02-22 12:00:36 UTC
While I'm not sure of the value of this bug, I did check and as far as I can tell, the platform variables are shipped with the rpm package, so we shouldn't need system-rpm-config for this. I'll drop the dependency.

Comment 3 Fedora Update System 2023-02-22 12:50:16 UTC
FEDORA-2023-766817d642 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-766817d642

Comment 4 Adam Williamson 2023-02-22 17:17:37 UTC
This feels like a stretch as a blocker to me, but natural candidate for an FE, so proposing it as one.

Comment 5 Fedora Update System 2023-02-23 10:25:30 UTC
FEDORA-2023-766817d642 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-766817d642

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Adam Williamson 2023-02-23 20:35:19 UTC
+3 for FE in https://pagure.io/fedora-qa/blocker-review/issue/1046 , marking accepted FE.

Comment 7 Fedora Update System 2023-02-28 17:01:06 UTC
FEDORA-2023-766817d642 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.